Bug 1552653 - ppc64-diag: Missing Fedora build flags injection
Summary: ppc64-diag: Missing Fedora build flags injection
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: ppc64-diag
Version: rawhide
Hardware: ppc64le
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ngo Than
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Reopened
Depends On:
Blocks: PPCTracker Fedora28BuildFlags
TreeView+ depends on / blocked
 
Reported: 2018-03-07 13:33 UTC by Florian Weimer
Modified: 2018-05-19 01:59 UTC (History)
7 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2018-05-19 01:59:21 UTC


Attachments (Terms of Use)

Description Florian Weimer 2018-03-07 13:33:20 UTC
As far as I can tell, ppc64-diag-2.7.1-5.fc28.ppc64le does not use the standard Fedora build flags from redhat-rpm-config at all (neither CFLAGS nor LDFLAGS).  The build log does not show any CFLAGS and LDFLAGS injection, and BIND_NOW, PIE, and annobin annotations are all missing.

See https://src.fedoraproject.org/rpms/redhat-rpm-config/blob/master/f/buildflags.md for information on RPM macros and environment variables provided by the build environment.

Comment 1 Ngo Than 2018-03-07 16:06:08 UTC
it's fixed in ppc64-diag-2.7.1-6.fc29

Comment 2 Fedora Update System 2018-03-08 09:04:52 UTC
ppc64-diag-2.7.1-6.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-0d4f204b6e

Comment 3 Fedora Update System 2018-03-08 15:29:40 UTC
ppc64-diag-2.7.1-6.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-0d4f204b6e

Comment 4 Florian Weimer 2018-04-05 07:58:13 UTC
Sorry, LDFLAGS are still missing from the linker invocation in ppc64-diag-2.7.1-6.fc28.ppc64le:

gcc -O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -Wp,-D_GLIBCXX_ASSERTIONS -fexceptions -fstack-protector-strong -grecord-gcc-switches -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -specs=/usr/lib/rpm/redhat/redhat-annobin-cc1 -m64 -mcpu=power8 -mtune=power8 -funwind-tables -fstack-clash-protection -I/builddir/build/BUILD/ppc64-diag-2.7.1/common -I /usr/include/ncurses -I/builddir/build/BUILD/ppc64-diag-2.7.1/common -I /usr/include/ncurses -o extract_platdump extract_platdump.o config.o -lrtas

Only CFLAGS are included.

Comment 5 Dan Horák 2018-04-05 08:27:11 UTC
The fix doesn't work in 2.7.1 as it uses hand-crafted Makefiles, I'm building ppc64-diag-2.7.4-1.fc28 now

Comment 6 Fedora Update System 2018-04-05 08:32:57 UTC
ppc64-diag-2.7.4-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-0d4f204b6e

Comment 7 Fedora Update System 2018-04-06 02:31:28 UTC
ppc64-diag-2.7.4-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-0d4f204b6e

Comment 8 Fedora Update System 2018-04-06 08:53:03 UTC
ppc64-diag-2.7.4-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-0d4f204b6e

Comment 9 Fedora Update System 2018-04-06 18:54:12 UTC
ppc64-diag-2.7.4-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-0d4f204b6e

Comment 10 Fedora Update System 2018-05-10 11:36:01 UTC
ppc64-diag-2.7.4-2.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-0d4f204b6e

Comment 11 Fedora Update System 2018-05-11 01:58:28 UTC
ppc64-diag-2.7.4-2.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-0d4f204b6e

Comment 12 Fedora Update System 2018-05-19 01:59:21 UTC
ppc64-diag-2.7.4-2.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.